# Uses of Interface
org.eclipse.core.runtime.IBundleGroupProvider

Packages that use IBundleGroupProvider
Package
Description
org.eclipse.core.runtime
Provides support for the runtime platform, core utility methods and the extension registry.

## Uses of IBundleGroupProvider in org.eclipse.core.runtime

Methods in org.eclipse.core.runtime that return IBundleGroupProvider
Modifier and Type
Method
Description
`static IBundleGroupProvider[]`
Platform.`getBundleGroupProviders()`
Returns the currently registered bundle group providers.
Methods in org.eclipse.core.runtime with parameters of type IBundleGroupProvider
Modifier and Type
Method
Description
`static void`
Platform.`registerBundleGroupProvider(IBundleGroupProvider provider)`
Registers the given bundle group provider with the platform.
`static void`
Platform.`unregisterBundleGroupProvider(IBundleGroupProvider provider)`
De-registers the given bundle group provider with the platform.